Get AI trading decisions
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"decisions": [
{
"agentNotes": "<string>",
"confidence": 123,
"createdAt": "<string>",
"decisionDate": "<string>",
"decisionType": "<string>",
"errorMessage": "<string>",
"executionStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketOutlook": "<string>",
"reasoning": "<string>",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structuredDashboard": {},
"targetAllocation": {},
"taskId": "<string>",
"userInstruction": "<string>"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Portfolios
Get AI trading decisions
Returns AI trading decisions for the portfolio’s linked strategy. Empty array if not linked.
Operation ID: get__portfolios_id_decisions.
GET
https://api.itoflow.ai
/
portfolios
/
{id}
/
decisions
Get AI trading decisions
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"decisions": [
{
"agentNotes": "<string>",
"confidence": 123,
"createdAt": "<string>",
"decisionDate": "<string>",
"decisionType": "<string>",
"errorMessage": "<string>",
"executionStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketOutlook": "<string>",
"reasoning": "<string>",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structuredDashboard": {},
"targetAllocation": {},
"taskId": "<string>",
"userInstruction": "<string>"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}